program Demo05;

{$I ..\Parser.inc}



uses
  Forms,
  Main in 'Forms\Main.pas' {MainForm},
  ShowTree in 'Forms\ShowTree.pas' {ParseTreeForm},
  Table in 'Forms\Table.pas' {TableForm},
  ParserConsts in '..\ParserConsts.pas',
  ParserTypes in '..\ParserTypes.pas',
  SimpleTokenizer in '..\SimpleTokenizer.pas',
  MathParser in '..\MathParser.pas',
  Targets in '..\Targets.pas',
  Options in 'Forms\Options.pas' {OptionsForm},
  UserFunctions in 'Forms\UserFunctions.pas' {UserFunctionsForm},
  Calc in 'Forms\Calc.pas' {CalcForm},
  ParserMath in '..\ParserMath.pas';

{$R *.res}

begin
  Application.Initialize;
  //Application.MainFormOnTaskbar := True; //Delphi 2007 and up
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TParseTreeForm, ParseTreeForm);
  Application.CreateForm(TTableForm, TableForm);
  Application.CreateForm(TOptionsForm, OptionsForm);
  Application.CreateForm(TCalcForm, CalcForm);
  Application.CreateForm(TUserFunctionsForm, UserFunctionsForm);
  Application.Run;
end.
