unit Options;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TOptionsForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Button3: TButton;
    Label3: TLabel;
    Button4: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  OptionsForm: TOptionsForm;

implementation

{$R *.dfm}

uses
  MathParser;

procedure TOptionsForm.Button1Click(Sender: TObject);
var
  ndc: char;
  nlc: char;
begin
  if (Edit1.Text <> '') then
    ndc := Edit1.Text[1]
  else
    ndc := ParserDecimalChar;
  if (Edit2.Text <> '') then
    nlc := Edit2.Text[1]
  else
    nlc := ParserListChar;
  if (ndc <> nlc) then begin
    SetParserDecimalChar(ndc);
    SetParserListChar(nlc);
  end
  else
    raise Exception.Create('Cannot have the same symbol for both');
  ModalResult := mrOk;
end;

procedure TOptionsForm.FormCreate(Sender: TObject);
begin
  Edit1.Text := ParserDecimalChar;
  Edit2.Text := ParserListChar;
end;

procedure TOptionsForm.Button3Click(Sender: TObject);
begin
  Edit1.Text := '.';
  Edit2.Text := ',';
end;

procedure TOptionsForm.Button4Click(Sender: TObject);
begin
  Edit1.Text := ',';
  Edit2.Text := ';';
end;

end.
